--- title: "Bulk Operations: Download-Link" slug: "bulk-operations-download-link" updated: 2025-10-28T13:33:38Z published: 2025-10-28T13:33:38Z canonical: "docs.unqork.io/bulk-operations-download-link" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.unqork.io/llms.txt > Use this file to discover all available pages before exploring further. # Bulk Operations: Download-Link > [!WARNING] > All BDO endpoints are only accessible to Creator and Express Administrator users in Unqork. The **Bulk Operations (BO) Download-Link** API endpoint generates a URL address for exporting data out of the Unqork platform. For example, you could use the [Bulk Data Operation: Export API Endpoint](/v1/docs/bulk-data-operations-export) to export submission data into the Unqork Cloud, then generate a download link to retrieve the file. You can generate a download link using curl, Postman, or any other service that supports a POST request. After generating a download link, you can download the submission data using a web browser, Postman, or any service that supports a request. > Discover how to set up API calls using a third-party program, view our [Testing API Endpoints Using Third-Party Applications](/v1/docs/testing-api-endpoints-using-third-party-applications) article. > [!TIP] > Test the BO Download-Link endpoint using the Unqork Services page. To access the Unqork Services page, enter the following address into your browser:` https://{environment}.unqork.io/fbu/uapi/docs/documentation/#/Bulk%20Operations/createDownloadLink`. Replace `{environment}` with the name of your Unqork environment. ## Creating a Download-Link Using Bulk Operations BO Download-Link uses the HTTP POST method and the following endpoint: `https://{environment}.unqork.io/fbu/uapi/bulkOperations/download-link`. Replace `{environment}` with the name of your Unqork environment. Insert the following into the request body: ```json {"fileLocation": "string"} ``` The following parameter is available for the Bulk Data Download-Link schema: | Key | Possible Values | Description | Required | | --- | --- | --- | --- | | fileLocation | string (no spaces) | Enter the Unqork Cloud file `location` key's value generated from the BDO Export operation. For example, `unqorkResource/export/78bdc-df4a-41a61/0.csv.` > [!TIP] > You can find the [Unqork Cloud file location](/v1/docs/bulk-data-operations-export#location) using the BDO Get Job Details endpoint targeting the BDO Export's `id` value. | Optional | ### Example Response In the BO Download-Link response below, the downloadLink field contains the address of the exported file for download: ```json {    "downloadLink": "/files/6734ce93abs9a01036b3f07c" } ``` ## Retrieving a File Using the Download Link After generating a download link value, create a call using a web browser, Postman, or other API service. Use the following endpoint: `https://{{environment}}/api{{createFileDownloadLink}}`. Replace `{{environment}}` with the name of your Unqork environment, and `{{createFileDownloadLink}}` with the `downloadLink` value. For example, `https://training.unqork.io/api/files/6734ce93abs9a01036b3f07c`. ### Downloading Data Using Postman To download the data using Postman: 1. In the Body Response window, next to the **Save Response** button, click the ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/ellipsis_grey_icon(6).png?sv=2026-02-06&spr=https&st=2026-10-29T00%3A50%3A26Z&se=2026-10-29T01%3A50%3A26Z&sr=c&sp=r&sig=MbejqUdb2TewnPD0aQHxF3XaP4O%2F1XXOTiAQ75yF%2FVQ%3D) (**ellipsis**) button. 2. From the drop-down, select **Save Response to file**. ![](https://cdn.us.document360.io/15548f06-2fba-434c-b0c1-5df88317dbd7/Images/Documentation/Postman_DownloadResponse_thumb_0_0.jpg?sv=2026-02-06&spr=https&st=2026-10-29T00%3A50%3A26Z&se=2026-10-29T01%3A50%3A26Z&sr=c&sp=r&sig=MbejqUdb2TewnPD0aQHxF3XaP4O%2F1XXOTiAQ75yF%2FVQ%3D) 3. Enter a name for the file and specify a local location where you want to download the file. 4. Click **Save**. The file saves in the format specified during the [BDO Export](/v1/docs/bulk-data-operations-export) operation. Also known as Unqork Users, or Designer Users; is anyone who is inside the Unqork platform. Includes the Short Answer component, Long Answer component, Select Boxes, Radio component, Dropdown, Number component and Single Checkbox. APIs (application programming interfaces) are a set of protocols and definitions developers use to build and integrate application software. APIs act as the connective tissue between products and services. Also known as Record Data. Submission data consists of information saved by Unqork components. View submission data by using the angular command, or in Record Collections. The HTTP POST method is used to send data to a server to create or update a resource, typically including the data in the body of the request. HTTP (Hypertext Transfer Protocol) is an application-layer protocol used to transmit hypermedia documents like HTML. Schema is a declarative language that defines the structure, content, and constraints of the data.